{
  "type" : "record",
  "name" : "ClinicalReport",
  "namespace" : "org.gel.models.report.avro",
  "doc" : "A clinical report. This holds the list of reported variants by an expert together with all\n    the relevant information that identify the case and how these conclusions were reached.",
  "fields" : [ {
    "name" : "interpretationRequestId",
    "type" : "string",
    "doc" : "This is the interpretation request identifier (i.e.: first number in 123-1)"
  }, {
    "name" : "interpretationRequestVersion",
    "type" : "int",
    "doc" : "This is the version of the interpretation request identifier (i.e.: second number in 123-1)"
  }, {
    "name" : "reportingDate",
    "type" : "string",
    "doc" : "Date of this report in format YYYY-MM-DD"
  }, {
    "name" : "user",
    "type" : "string",
    "doc" : "Author of this report"
  }, {
    "name" : "variants",
    "type" : [ "null", {
      "type" : "array",
      "items" : {
        "type" : "record",
        "name" : "SmallVariant",
        "doc" : "A reported variant",
        "fields" : [ {
          "name" : "variantCoordinates",
          "type" : {
            "type" : "record",
            "name" : "VariantCoordinates",
            "doc" : "The variant coordinates representing uniquely a small variant.\n    No multi-allelic variant supported, alternate only represents one alternate allele.",
            "fields" : [ {
              "name" : "chromosome",
              "type" : "string",
              "doc" : "Chromosome"
            }, {
              "name" : "position",
              "type" : "int",
              "doc" : "Genomic position"
            }, {
              "name" : "reference",
              "type" : "string",
              "doc" : "The reference bases."
            }, {
              "name" : "alternate",
              "type" : "string",
              "doc" : "The alternate bases"
            }, {
              "name" : "assembly",
              "type" : {
                "type" : "enum",
                "name" : "Assembly",
                "doc" : "The reference genome assembly",
                "symbols" : [ "GRCh38", "GRCh37" ]
              },
              "doc" : "The assembly to which this variant corresponds"
            } ]
          },
          "doc" : "The variant coordinates. Chromosome is either 1-22, X, Y, MT or any other contif in the reference genome,\n        no \"chr\" prefix is expected. Position is 1- based. Reference and alternate should never be empty or any\n        character representing emptiness (e.g.: . or -), a VCF-like indel representation is expected."
        }, {
          "name" : "variantCalls",
          "type" : {
            "type" : "array",
            "items" : {
              "type" : "record",
              "name" : "VariantCall",
              "doc" : "This is intended to hold the genotypes for the family members. This assumes that varinats have been split before.\n    In principle it is a phased zygosity as in VCF spec and called by the analysis provider if further phasing is conducted",
              "fields" : [ {
                "name" : "participantId",
                "type" : "string",
                "doc" : "Participant id"
              }, {
                "name" : "sampleId",
                "type" : "string",
                "doc" : "Sample Id"
              }, {
                "name" : "zygosity",
                "type" : {
                  "type" : "enum",
                  "name" : "Zygosity",
                  "doc" : "It is a representation of the zygosity\n\n* `reference_homozygous`: 0/0, 0|0\n* `heterozygous`: 0/1, 1/0, 1|0, 0|1\n* `alternate_homozygous`: 1/1, 1|1\n* `missing`: ./., .|.\n* `half_missing_reference`: ./0, 0/., 0|., .|0\n* `half_missing_alternate`: ./1, 1/., 1|., .|1\n* `alternate_hemizigous`: 1\n* `reference_hemizigous`: 0\n* `unk`: Anything unexpected",
                  "symbols" : [ "reference_homozygous", "heterozygous", "alternate_homozygous", "missing", "half_missing_reference", "half_missing_alternate", "alternate_hemizigous", "reference_hemizigous", "unk", "na" ]
                },
                "doc" : "Zygosity. For somatic variants, or variants without zygosity use `na`"
              }, {
                "name" : "phaseGenotype",
                "type" : [ "null", {
                  "type" : "record",
                  "name" : "PhaseGenotype",
                  "fields" : [ {
                    "name" : "sortedAlleles",
                    "type" : {
                      "type" : "array",
                      "items" : "string"
                    }
                  }, {
                    "name" : "phaseSet",
                    "type" : "int"
                  } ]
                } ],
                "doc" : "phase alleles for those in phase"
              }, {
                "name" : "sampleVariantAlleleFrequency",
                "type" : [ "null", "double" ],
                "doc" : "Sample Variant Allele Frequency"
              }, {
                "name" : "depthReference",
                "type" : [ "null", "int" ],
                "doc" : "Depth for Reference Allele"
              }, {
                "name" : "depthAlternate",
                "type" : [ "null", "int" ],
                "doc" : "Depth for Alternate Allele"
              }, {
                "name" : "numberOfCopies",
                "type" : [ "null", {
                  "type" : "array",
                  "items" : {
                    "type" : "record",
                    "name" : "NumberOfCopies",
                    "fields" : [ {
                      "name" : "numberOfCopies",
                      "type" : "int",
                      "doc" : "Number of copies given by the caller in one of the allele"
                    }, {
                      "name" : "confidenceIntervalMaximum",
                      "type" : [ "null", "int" ]
                    }, {
                      "name" : "confidenceIntervalMinimum",
                      "type" : [ "null", "int" ]
                    } ]
                  }
                } ],
                "doc" : "Alleles for copy number variation - add doc"
              }, {
                "name" : "alleleOrigins",
                "type" : [ "null", {
                  "type" : "array",
                  "items" : {
                    "type" : "enum",
                    "name" : "AlleleOrigin",
                    "doc" : "Allele origin.\n\n* `SO_0001781`: de novo variant. http://purl.obolibrary.org/obo/SO_0001781\n* `SO_0001778`: germline variant. http://purl.obolibrary.org/obo/SO_0001778\n* `SO_0001775`: maternal variant. http://purl.obolibrary.org/obo/SO_0001775\n* `SO_0001776`: paternal variant. http://purl.obolibrary.org/obo/SO_0001776\n* `SO_0001779`: pedigree specific variant. http://purl.obolibrary.org/obo/SO_0001779\n* `SO_0001780`: population specific variant. http://purl.obolibrary.org/obo/SO_0001780\n* `SO_0001777`: somatic variant. http://purl.obolibrary.org/obo/SO_0001777",
                    "symbols" : [ "de_novo_variant", "germline_variant", "maternal_variant", "paternal_variant", "pedigree_specific_variant", "population_specific_variant", "somatic_variant" ]
                  }
                } ],
                "doc" : "Describe whether this is a somatic or Germline variant"
              }, {
                "name" : "supportingReadTypes",
                "type" : [ "null", {
                  "type" : "array",
                  "items" : {
                    "type" : "enum",
                    "name" : "SupportingReadType",
                    "symbols" : [ "spanning", "flanking", "inrepeat" ]
                  }
                } ]
              } ]
            }
          },
          "doc" : "List of variant calls across all samples under analysis for this variant"
        }, {
          "name" : "reportEvents",
          "type" : {
            "type" : "array",
            "items" : {
              "type" : "record",
              "name" : "ReportEvent",
              "doc" : "A report event holds all the information about why a given variant is relevant to report. The same variant may have\n    several report events. For instance, we may have two report events from the tiering process when two panels are\n    analysed, a positive report from a Genomic Medicine Centre (GMC) will correspond to an additional report event.",
              "fields" : [ {
                "name" : "reportEventId",
                "type" : "string",
                "doc" : "Unique identifier for each report event, this is unique across the whole report. A report having more than one\n        report event with the same identifier is invalid. Repeating report event identifiers between different reports\n        is valid. The uniqueness of this field will be checked in report validation"
              }, {
                "name" : "phenotypes",
                "type" : {
                  "type" : "record",
                  "name" : "Phenotypes",
                  "doc" : "Oontology term based on the OBO format (see an example here http://snapshot.geneontology.org/ontology/go-basic.obo)",
                  "fields" : [ {
                    "name" : "nonStandardPhenotype",
                    "type" : [ "null", {
                      "type" : "array",
                      "items" : "string"
                    } ],
                    "doc" : "The non standardised phenotypes (i.e.: may be free text)"
                  }, {
                    "name" : "standardPhenotypes",
                    "type" : [ "null", {
                      "type" : "array",
                      "items" : {
                        "type" : "record",
                        "name" : "StandardPhenotype",
                        "doc" : "Standard phenotype term based on the OBO format (see an example here http://snapshot.geneontology.org/ontology/go-basic.obo)",
                        "fields" : [ {
                          "name" : "id",
                          "type" : "string"
                        }, {
                          "name" : "name",
                          "type" : [ "null", "string" ]
                        }, {
                          "name" : "namespace",
                          "type" : [ "null", "string" ]
                        }, {
                          "name" : "definition",
                          "type" : [ "null", "string" ]
                        }, {
                          "name" : "comment",
                          "type" : [ "null", "string" ]
                        }, {
                          "name" : "alternativeIds",
                          "type" : [ "null", "string" ]
                        }, {
                          "name" : "synonyms",
                          "type" : [ "null", "string" ]
                        }, {
                          "name" : "isA",
                          "type" : [ "null", "string" ]
                        }, {
                          "name" : "ontology",
                          "type" : {
                            "type" : "record",
                            "name" : "Ontology",
                            "doc" : "The ontology to which a standard term belongs",
                            "fields" : [ {
                              "name" : "name",
                              "type" : "string"
                            }, {
                              "name" : "version",
                              "type" : "string"
                            } ]
                          },
                          "doc" : "The ontology (e.g.: HPO, OMIM, SNOMED CT)"
                        }, {
                          "name" : "matchScore",
                          "type" : [ "null", "float" ],
                          "doc" : "The match between the non standard phenotype and this term when in silico"
                        } ]
                      }
                    } ],
                    "doc" : "The standardised phenotypes (i.e.: controlled terminology)"
                  } ]
                },
                "doc" : "The list of phenotypes"
              }, {
                "name" : "variantConsequences",
                "type" : {
                  "type" : "array",
                  "items" : {
                    "type" : "record",
                    "name" : "VariantConsequence",
                    "doc" : "A variant consequence as defined by the Sequence Ontology (SO) (e.g.: id = SO:0001816 ; name = non synonymous)\n    NOTE: this record is equivalent to OpenCB's `ConsequenceType`, but we want to avoid naming collisions",
                    "fields" : [ {
                      "name" : "id",
                      "type" : "string",
                      "doc" : "The SO term identifier (e.g.: SO:0001816)"
                    }, {
                      "name" : "name",
                      "type" : [ "null", "string" ],
                      "doc" : "The SO term name (e.g.: non synonymous)"
                    } ]
                  }
                },
                "doc" : "Sequence Ontology terms for relevant consequence types for this report event"
              }, {
                "name" : "genePanel",
                "type" : [ "null", {
                  "type" : "record",
                  "name" : "GenePanel",
                  "doc" : "A panel of genes",
                  "fields" : [ {
                    "name" : "panelIdentifier",
                    "type" : [ "null", "string" ],
                    "doc" : "Panel name used"
                  }, {
                    "name" : "panelName",
                    "type" : [ "null", "string" ],
                    "doc" : "Panel name used"
                  }, {
                    "name" : "panelVersion",
                    "type" : [ "null", "string" ],
                    "doc" : "Panel version"
                  }, {
                    "name" : "source",
                    "type" : [ "null", "string" ],
                    "doc" : "source i.e, PanelApp"
                  } ]
                } ],
                "doc" : "The panel of genes to which this report corresponds"
              }, {
                "name" : "modeOfInheritance",
                "type" : {
                  "type" : "enum",
                  "name" : "ModeOfInheritance",
                  "doc" : "An enumeration for the different mode of inheritances:\n\n* `monoallelic_not_imprinted`: MONOALLELIC, autosomal or pseudoautosomal, not imprinted\n* `monoallelic_maternally_imprinted`: MONOALLELIC, autosomal or pseudoautosomal, maternally imprinted (paternal allele expressed)\n* `monoallelic_paternally_imprinted`: MONOALLELIC, autosomal or pseudoautosomal, paternally imprinted (maternal allele expressed)\n* `monoallelic`: MONOALLELIC, autosomal or pseudoautosomal, imprinted status unknown\n* `biallelic`: BIALLELIC, autosomal or pseudoautosomal\n* `monoallelic_and_biallelic`: BOTH monoallelic and biallelic, autosomal or pseudoautosomal\n* `monoallelic_and_more_severe_biallelic`: BOTH monoallelic and biallelic, autosomal or pseudoautosomal (but BIALLELIC mutations cause a more SEVERE disease form), autosomal or pseudoautosomal\n* `xlinked_biallelic`: X-LINKED: hemizygous mutation in males, biallelic mutations in females\n* `xlinked_monoallelic`: X linked: hemizygous mutation in males, monoallelic mutations in females may cause disease (may be less severe, later onset than males)\n* `mitochondrial`: MITOCHONDRIAL\n* `unknown`: Unknown",
                  "symbols" : [ "monoallelic", "monoallelic_not_imprinted", "monoallelic_maternally_imprinted", "monoallelic_paternally_imprinted", "biallelic", "monoallelic_and_biallelic", "monoallelic_and_more_severe_biallelic", "xlinked_biallelic", "xlinked_monoallelic", "mitochondrial", "unknown", "na" ]
                },
                "doc" : "Mode of inheritance used to analyse the family"
              }, {
                "name" : "genomicEntities",
                "type" : {
                  "type" : "array",
                  "items" : {
                    "type" : "record",
                    "name" : "GenomicEntity",
                    "doc" : "A genomic feature",
                    "fields" : [ {
                      "name" : "type",
                      "type" : {
                        "type" : "enum",
                        "name" : "GenomicEntityType",
                        "doc" : "Types of genomic features:\n\n* `regulatory_region`: a regulatory region\n* `gene`: a gene\n* `transcript`: a transcript\n* `intergenic`: an intergenic region",
                        "symbols" : [ "regulatory_region", "gene", "transcript", "intergenic", "gene_fusion", "genomic_region", "cytobands" ]
                      },
                      "doc" : "The type of the genomic entity"
                    }, {
                      "name" : "ensemblId",
                      "type" : [ "null", "string" ],
                      "doc" : "Ensembl identifier for the feature (e.g, ENST00000544455)"
                    }, {
                      "name" : "geneSymbol",
                      "type" : [ "null", "string" ],
                      "doc" : "The HGNC gene symbol. This field is optional, BUT it should be filled if possible"
                    }, {
                      "name" : "otherIds",
                      "type" : [ "null", {
                        "type" : "array",
                        "items" : {
                          "type" : "record",
                          "name" : "Identifier",
                          "fields" : [ {
                            "name" : "source",
                            "type" : "string",
                            "doc" : "Source i.e, esenmbl"
                          }, {
                            "name" : "identifier",
                            "type" : "string",
                            "doc" : "identifier"
                          } ]
                        }
                      } ],
                      "doc" : "Others identifiers for this genomic feature"
                    } ]
                  }
                },
                "doc" : "The list of genomic features of interest for this report event. Please note that one variant can overlap more\n        that one gene/transcript. If more than one gene/transcript is considered interesting for this particular\n        variant, should be reported in two different ReportEvents"
              }, {
                "name" : "segregationPattern",
                "type" : [ "null", {
                  "type" : "enum",
                  "name" : "SegregationPattern",
                  "symbols" : [ "UniparentalIsodisomy", "SimpleRecessive", "CompoundHeterozygous", "deNovo", "InheritedAutosomalDominant", "InheritedAutosomalDominantMaternallyImprinted", "InheritedAutosomalDominantPaternallyImprinted", "XLinkedCompoundHeterozygous", "XLinkedSimpleRecessive", "XLinkedMonoallelic", "MitochondrialGenome" ]
                } ],
                "doc" : "Segregation pattern if any calculated using the genotypes information of a family"
              }, {
                "name" : "penetrance",
                "type" : [ "null", {
                  "type" : "enum",
                  "name" : "Penetrance",
                  "namespace" : "org.gel.models.participant.avro",
                  "doc" : "Penetrance assumed in the analysis",
                  "symbols" : [ "complete", "incomplete" ]
                } ],
                "doc" : "This is the penetrance assumed for scoring or classifying this variant"
              }, {
                "name" : "deNovoQualityScore",
                "type" : [ "null", "float" ],
                "doc" : "Likelihood of being a de novo variant"
              }, {
                "name" : "fullyExplainsPhenotype",
                "type" : [ "null", "boolean" ],
                "doc" : "Flag to indicate if this variant using this mode of inheritance can fully explain the phenotype"
              }, {
                "name" : "groupOfVariants",
                "type" : [ "null", "int" ],
                "doc" : "This value groups variants that together could explain the phenotype according to the mode of inheritance used.\n        (e.g.: compound heterozygous). All the variants in the same report sharing the same value will be considered in\n        the same group (i.e.: reported together). This value is an integer unique in the whole report.\n        These values are only relevant within the same report."
              }, {
                "name" : "eventJustification",
                "type" : [ "null", "string" ],
                "doc" : "This is the description of why this variant would be reported, for example that it affects the protein in this way\n        and that this gene has been implicated in this disorder in these publications. Publications should be provided as PMIDs\n        using the format [PMID:8075643]. Other sources can be used in the same manner, e.g. [OMIM:163500]. Brackets need to be included."
              }, {
                "name" : "roleInCancer",
                "type" : [ "null", {
                  "type" : "array",
                  "items" : {
                    "type" : "enum",
                    "name" : "RoleInCancer",
                    "doc" : "The role of a given genomic feature in cancer\n\n* `NCIT_C16936`: oncogene. A gene that is a mutated (changed) form of a gene involved in normal cell growth. Oncogenes may cause the growth of cancer cells. Mutations in genes that become oncogenes can be inherited or caused by being exposed to substances in the environment that cause cancer. http://purl.obolibrary.org/obo/NCIT_C16936\n* `NCIT_C17362`: tumor_suppressor_gene. A type of gene that makes a protein called a tumor suppressor protein that helps control cell growth. Mutations (changes in DNA) in antioncogenes may lead to cancer. http://purl.obolibrary.org/obo/NCIT_C17362",
                    "symbols" : [ "oncogene", "tumor_suppressor_gene", "both" ]
                  }
                } ],
                "doc" : "The role of this variant in cancer if any"
              }, {
                "name" : "actions",
                "type" : [ "null", {
                  "type" : "record",
                  "name" : "Actions",
                  "doc" : "Clinical actions",
                  "fields" : [ {
                    "name" : "trials",
                    "type" : [ "null", {
                      "type" : "array",
                      "items" : {
                        "type" : "record",
                        "name" : "Trial",
                        "fields" : [ {
                          "name" : "studyUrl",
                          "type" : "string",
                          "doc" : "URL where reference information for this trail can be found"
                        }, {
                          "name" : "studyIdentifier",
                          "type" : "string",
                          "doc" : "Trail/Study indetifier"
                        }, {
                          "name" : "startDate",
                          "type" : [ "null", "string" ],
                          "doc" : "Start date of the study"
                        }, {
                          "name" : "estimateCompletionDate",
                          "type" : [ "null", "string" ],
                          "doc" : "Completion date of the study"
                        }, {
                          "name" : "title",
                          "type" : [ "null", "string" ],
                          "doc" : "Title of the study"
                        }, {
                          "name" : "phase",
                          "type" : [ "null", {
                            "type" : "enum",
                            "name" : "StudyPhase",
                            "doc" : "N/A: Trials without phases (for example, studies of devices or behavioural interventions).\n    Early Phase 1 (Formerly listed as \"Phase 0\"): Exploratory trials, involving very limited human exposure, with no therapeutic or diagnostic intent (e.g., screening studies, microdose studies). See FDA guidance on exploratory IND studies for more information.\n    Phase 1: Includes initial studies to determine the metabolism and pharmacologic actions of drugs in humans, the side effects associated with increasing doses, and to gain early evidence of effectiveness; may include healthy participants and/or patients.\n    Phase 1/Phase 2: Trials that are a combination of phases 1 and 2.\n    Phase 2: Includes controlled clinical studies conducted to evaluate the effectiveness of the drug for a particular indication or indications in participants with the disease or condition under study and to determine the common short-term side effects and risks.\n    Phase 2/Phase 3: Trials that are a combination of phases 2 and 3.\n    Phase 3: Includes trials conducted after preliminary evidence suggesting effectiveness of the drug has been obtained, and are intended to gather additional information to evaluate the overall benefit-risk relationship of the drug.\n    Phase 4: Studies of FDA-approved drugs to delineate additional information including the drug's risks, benefits, and optimal use.",
                            "symbols" : [ "na", "early_phase1", "phase1", "phase1_phase2", "phase2", "phase2_phase3", "phase3", "phase4" ]
                          } ],
                          "doc" : "Study Phase"
                        }, {
                          "name" : "interventions",
                          "type" : [ "null", {
                            "type" : "array",
                            "items" : {
                              "type" : "record",
                              "name" : "Intervention",
                              "doc" : "A process or action that is the focus of a clinical study.\n    Ref. https://prsinfo.clinicaltrials.gov/definitions.html",
                              "fields" : [ {
                                "name" : "interventionType",
                                "type" : {
                                  "type" : "enum",
                                  "name" : "InterventionType",
                                  "doc" : "For each intervention studied in the clinical study, the general type of intervention\n\n* `drug`: Including placebo\n* `device`: Including sham\n* `biological`: Vaccine\n* `procedure`: Surgery\n* `radiation`\n* `behavioral`: For example, psychotherapy, lifestyle counselling\n* `genetic`: Including gene transfer, stem cell and recombinant DNA\n* `dietary_supplement`: For example, vitamins, minerals\n* `combination_product`: Combining a drug and device, a biological product and device; a drug and biological product; or a drug, biological product, and device\n* `diagnostic_test`: For example, imaging, in-vitro\n* `other`\n\n    Ref. https://prsinfo.clinicaltrials.gov/definitions.htm",
                                  "symbols" : [ "drug", "device", "procedure", "biological", "radiation", "behavioral", "genetic", "dietary_supplement", "combination_product", "diagnostic_test", "other" ]
                                },
                                "doc" : "Intervention type, i.e drug"
                              }, {
                                "name" : "interventionName",
                                "type" : "string",
                                "doc" : "Intervention name: Placebo"
                              } ]
                            }
                          } ],
                          "doc" : "Interventions"
                        }, {
                          "name" : "conditions",
                          "type" : [ "null", {
                            "type" : "array",
                            "items" : "string"
                          } ],
                          "doc" : "Conditions"
                        }, {
                          "name" : "primaryPurpose",
                          "type" : [ "null", {
                            "type" : "enum",
                            "name" : "PrimaryPurpose",
                            "doc" : "Treatment: One or more interventions are being evaluated for treating a disease, syndrome, or condition.\n    Prevention: One or more interventions are being assessed for preventing the development of a specific disease or health condition.\n    Diagnostic: One or more interventions are being evaluated for identifying a disease or health condition.\n    Supportive Care: One or more interventions are evaluated for maximizing comfort, minimizing side effects, or mitigating against a decline in the participant's health or function.\n    Screening: One or more interventions are assessed or examined for identifying a condition, or risk factors for a condition, in people who are not yet known to have the condition or risk factor.\n    Health Services Research: One or more interventions for evaluating the delivery, processes, management, organization, or financing of healthcare.\n    Basic Science: One or more interventions for examining the basic mechanism of action (for example, physiology or biomechanics of an intervention).\n    Device Feasibility: An intervention of a device product is being evaluated in a small clinical trial (generally fewer than 10 participants) to determine the feasibility of the product; or a clinical trial to test a prototype device for feasibility and not health outcomes. Such studies are conducted to confirm the design and operating specifications of a device before beginning a full clinical trial.\n    Other: None of the other options applies.\n\n    Ref. https://prsinfo.clinicaltrials.gov/definitions.htm",
                            "symbols" : [ "treatment", "prevention", "diagnostic", "supportive_care", "screening", "health_services_research", "basic_science", "device_feasibility", "other" ]
                          } ],
                          "doc" : "Primary Purpose of the study"
                        }, {
                          "name" : "studyType",
                          "type" : [ "null", {
                            "type" : "enum",
                            "name" : "StudyType",
                            "doc" : "* `Interventional (clinical trial)`: Participants are assigned prospectively to an intervention or interventions\naccording to a protocol to evaluate the effect of the intervention(s) on biomedical or other health related outcomes.\n* `Observational`: Studies in human beings in which biomedical and/or health outcomes are assessed in pre-defined groups\nof individuals. Participants in the study may receive diagnostic, therapeutic, or other interventions, but the\ninvestigator does not assign specific interventions to the study participants. This includes when participants\nreceive interventions as part of routine medical care, and a researcher studies the effect of the intervention.\n* `Expanded Access`: An investigational drug product (including biological product)\navailable through expanded access for patients who do not qualify for enrollment in a clinical trial.\nExpanded Access includes all expanded access types under section 561 of the Federal Food, Drug, and\nCosmetic Act: (1) for individual patients, including emergency use; (2) for intermediate-size patient populations;\nand (3) under a treatment IND or treatment protocol. (For more information on data requirements for this Study Type,\nsee Expanded Access Data Element Definitions).",
                            "symbols" : [ "interventional", "observational", "patient_registry", "expanded_access" ]
                          } ],
                          "doc" : "Study Type"
                        }, {
                          "name" : "demogrphicElegibilityCriteria",
                          "type" : [ "null", {
                            "type" : "record",
                            "name" : "DemographicElegibilityCriteria",
                            "fields" : [ {
                              "name" : "sex",
                              "type" : {
                                "type" : "enum",
                                "name" : "Sex",
                                "namespace" : "org.gel.models.participant.avro",
                                "doc" : "Sex",
                                "symbols" : [ "MALE", "FEMALE", "UNKNOWN" ]
                              }
                            }, {
                              "name" : "ageRange",
                              "type" : [ "null", {
                                "type" : "record",
                                "name" : "AgeRange",
                                "fields" : [ {
                                  "name" : "minimumAge",
                                  "type" : "int"
                                }, {
                                  "name" : "maximumAge",
                                  "type" : "int"
                                }, {
                                  "name" : "timeunit",
                                  "type" : {
                                    "type" : "enum",
                                    "name" : "TimeUnit",
                                    "symbols" : [ "years", "months", "weeks", "days", "hours", "minutes", "na" ]
                                  }
                                } ]
                              } ]
                            } ]
                          } ],
                          "doc" : "Elegigility Criteria based on Age and Sex"
                        }, {
                          "name" : "locations",
                          "type" : [ "null", {
                            "type" : "array",
                            "items" : {
                              "type" : "record",
                              "name" : "TrialLocation",
                              "fields" : [ {
                                "name" : "name",
                                "type" : [ "null", "string" ]
                              }, {
                                "name" : "city",
                                "type" : [ "null", "string" ]
                              }, {
                                "name" : "country",
                                "type" : [ "null", "string" ]
                              }, {
                                "name" : "zip",
                                "type" : [ "null", "string" ]
                              } ]
                            }
                          } ],
                          "doc" : "List with all of the locations where participant can enrolle"
                        }, {
                          "name" : "variantActionable",
                          "type" : "boolean",
                          "doc" : "If true, the association was made using the variant information,\n        if not the association was made at Genomic Entity level"
                        } ]
                      }
                    } ]
                  }, {
                    "name" : "prognosis",
                    "type" : [ "null", {
                      "type" : "array",
                      "items" : {
                        "type" : "record",
                        "name" : "Prognosis",
                        "fields" : [ {
                          "name" : "referenceUrl",
                          "type" : "string",
                          "doc" : "URL where reference information for this prognosis can be found"
                        }, {
                          "name" : "prognosis",
                          "type" : [ "null", {
                            "type" : "enum",
                            "name" : "PrognosisClassification",
                            "symbols" : [ "altered_prognosis", "favourable_prognosis", "unfavourable_prognosis" ]
                          } ],
                          "doc" : "Prognosis classification (defined as favourable or unfavourable),\n        in the case that the direction of the prognosis is not known altered_prognosis should be used"
                        }, {
                          "name" : "source",
                          "type" : [ "null", "string" ],
                          "doc" : "Source if known"
                        }, {
                          "name" : "references",
                          "type" : [ "null", {
                            "type" : "array",
                            "items" : "string"
                          } ],
                          "doc" : "References"
                        }, {
                          "name" : "conditions",
                          "type" : [ "null", {
                            "type" : "array",
                            "items" : "string"
                          } ],
                          "doc" : "Conditions"
                        }, {
                          "name" : "description",
                          "type" : [ "null", "string" ],
                          "doc" : "Full description of the associated prognosis"
                        }, {
                          "name" : "variantActionable",
                          "type" : "boolean",
                          "doc" : "If true, the association was made at the variant level, if not the association was made at Genomic Entity level"
                        } ]
                      }
                    } ]
                  }, {
                    "name" : "therapies",
                    "type" : [ "null", {
                      "type" : "array",
                      "items" : {
                        "type" : "record",
                        "name" : "Therapy",
                        "fields" : [ {
                          "name" : "referenceUrl",
                          "type" : "string",
                          "doc" : "URL where reference information for this therapy association can be found"
                        }, {
                          "name" : "source",
                          "type" : [ "null", "string" ],
                          "doc" : "Source"
                        }, {
                          "name" : "references",
                          "type" : [ "null", {
                            "type" : "array",
                            "items" : "string"
                          } ],
                          "doc" : "References"
                        }, {
                          "name" : "conditions",
                          "type" : [ "null", {
                            "type" : "array",
                            "items" : "string"
                          } ],
                          "doc" : "Conditions"
                        }, {
                          "name" : "drugResponse",
                          "type" : [ "null", {
                            "type" : "array",
                            "items" : {
                              "type" : "record",
                              "name" : "DrugResponse",
                              "fields" : [ {
                                "name" : "TreatmentAgent",
                                "type" : "string",
                                "doc" : "Treatment agent"
                              }, {
                                "name" : "drugResponseClassification",
                                "type" : {
                                  "type" : "enum",
                                  "name" : "DrugResponseClassification",
                                  "symbols" : [ "altered_sensitivity", "reduced_sensitivity", "increased_sensitivity", "altered_resistance", "increased_resistance", "reduced_resistance", "increased_risk_of_toxicity", "reduced_risk_of_toxicity", "altered_toxicity", "adverse_drug_reaction", "indication", "contraindication", "dosing_alteration", "increased_dose", "reduced_dose", "increased_monitoring", "increased_efficacy", "reduced_efficacy", "altered_efficacy" ]
                                },
                                "doc" : "associated effect of the drug"
                              } ]
                            }
                          } ],
                          "doc" : "Drug responses"
                        }, {
                          "name" : "otherInterventions",
                          "type" : [ "null", {
                            "type" : "array",
                            "items" : "Intervention"
                          } ],
                          "doc" : "Any other clinical intervention"
                        }, {
                          "name" : "variantActionable",
                          "type" : "boolean",
                          "doc" : "If true, the association was made at the variant level, if not the association was made at Genomic Entity level"
                        } ]
                      }
                    } ]
                  }, {
                    "name" : "diagnostic",
                    "type" : [ "null", {
                      "type" : "array",
                      "items" : {
                        "type" : "record",
                        "name" : "Diagnostic",
                        "fields" : [ {
                          "name" : "referenceUrl",
                          "type" : "string",
                          "doc" : "URL where reference information for this prognosis can be found"
                        }, {
                          "name" : "sources",
                          "type" : [ "null", {
                            "type" : "array",
                            "items" : "string"
                          } ],
                          "doc" : "Sources if known"
                        }, {
                          "name" : "references",
                          "type" : [ "null", {
                            "type" : "array",
                            "items" : "string"
                          } ],
                          "doc" : "References"
                        }, {
                          "name" : "biomarkers",
                          "type" : [ "null", {
                            "type" : "array",
                            "items" : "string"
                          } ],
                          "doc" : "Biomarkers"
                        }, {
                          "name" : "conditions",
                          "type" : [ "null", {
                            "type" : "array",
                            "items" : "string"
                          } ],
                          "doc" : "Associated conditions"
                        }, {
                          "name" : "diagnosis",
                          "type" : [ "null", "string" ],
                          "doc" : "Diagnosis"
                        }, {
                          "name" : "diagnosisStatus",
                          "type" : [ "null", "string" ],
                          "doc" : "Diagnosis status"
                        }, {
                          "name" : "otherCondition",
                          "type" : [ "null", "string" ],
                          "doc" : "Other condition"
                        }, {
                          "name" : "variantActionable",
                          "type" : "boolean",
                          "doc" : "If true, the association was made at the variant level, if not the association was made at Genomic Entity level"
                        } ]
                      }
                    } ]
                  }, {
                    "name" : "otherAction",
                    "type" : [ "null", {
                      "type" : "array",
                      "items" : {
                        "type" : "record",
                        "name" : "OtherAction",
                        "fields" : [ {
                          "name" : "referenceUrl",
                          "type" : "string",
                          "doc" : "URL where reference information for this action can be found"
                        }, {
                          "name" : "identifier",
                          "type" : [ "null", "string" ],
                          "doc" : "Action identifier"
                        }, {
                          "name" : "sources",
                          "type" : [ "null", {
                            "type" : "array",
                            "items" : "string"
                          } ],
                          "doc" : "Sources if known"
                        }, {
                          "name" : "actionType",
                          "type" : [ "null", "string" ],
                          "doc" : "Action type"
                        }, {
                          "name" : "conditions",
                          "type" : [ "null", {
                            "type" : "array",
                            "items" : "string"
                          } ],
                          "doc" : "Associated conditions"
                        }, {
                          "name" : "otherAttributes",
                          "type" : [ "null", {
                            "type" : "map",
                            "values" : "string"
                          } ],
                          "doc" : "Other attributes"
                        }, {
                          "name" : "variantActionable",
                          "type" : "boolean",
                          "doc" : "If true, the association was made at the variant level, if not the association was made at Genomic Entity level"
                        } ]
                      }
                    } ]
                  } ]
                } ],
                "doc" : "Actions can be taken on the variant if any"
              }, {
                "name" : "score",
                "type" : [ "null", "float" ],
                "doc" : "This is the score provided to reflect a variant's likelihood of explaining the phenotype using a specific\n        mode of Inheritance. This may be the result of different scoring systems"
              }, {
                "name" : "vendorSpecificScores",
                "type" : [ "null", {
                  "type" : "map",
                  "values" : "float"
                } ],
                "doc" : "Other scores that the interpretation provider may add (for example phenotypically informed or family\n        informed scores)"
              }, {
                "name" : "variantClassification",
                "type" : [ "null", {
                  "type" : "record",
                  "name" : "VariantClassification",
                  "doc" : "The variant classification according to different properties.",
                  "fields" : [ {
                    "name" : "clinicalSignificance",
                    "type" : [ "null", {
                      "type" : "enum",
                      "name" : "ClinicalSignificance",
                      "symbols" : [ "benign", "likely_benign", "likely_pathogenic", "pathogenic", "uncertain_significance" ]
                    } ],
                    "doc" : "The variant's clinical significance."
                  }, {
                    "name" : "drugResponseClassification",
                    "type" : [ "null", "DrugResponseClassification" ],
                    "doc" : "The variant's pharmacogenomics classification."
                  }, {
                    "name" : "traitAssociation",
                    "type" : [ "null", {
                      "type" : "enum",
                      "name" : "TraitAssociation",
                      "symbols" : [ "established_risk_allele", "likely_risk_allele", "uncertain_risk_allele", "protective" ]
                    } ],
                    "doc" : "The variant's trait association."
                  }, {
                    "name" : "tumorigenesisClassification",
                    "type" : [ "null", {
                      "type" : "enum",
                      "name" : "TumorigenesisClassification",
                      "symbols" : [ "driver", "passenger", "modifier" ]
                    } ],
                    "doc" : "The variant's tumorigenesis classification."
                  }, {
                    "name" : "functionalEffect",
                    "type" : [ "null", {
                      "type" : "enum",
                      "name" : "VariantFunctionalEffect",
                      "symbols" : [ "dominant_negative_variant", "gain_of_function_variant", "lethal_variant", "loss_of_function_variant", "loss_of_heterozygosity", "null_variant" ]
                    } ],
                    "doc" : "The variant functional effect"
                  } ]
                } ],
                "doc" : "Variant classification"
              }, {
                "name" : "guidelineBasedVariantClassification",
                "type" : [ "null", {
                  "type" : "record",
                  "name" : "GuidelineBasedVariantClassification",
                  "doc" : "Variant classification based on guidlines, AMP and ACMG are supported",
                  "fields" : [ {
                    "name" : "acmgVariantClassification",
                    "type" : [ "null", {
                      "type" : "record",
                      "name" : "AcmgVariantClassification",
                      "doc" : "Full record for the ACMG variant clasiffication, including all selectedd evidences and the final classification.",
                      "fields" : [ {
                        "name" : "acmgEvidences",
                        "type" : {
                          "type" : "array",
                          "items" : {
                            "type" : "record",
                            "name" : "AcmgEvidence",
                            "doc" : "AcmgEvidence. This should be buit for each one of the evidences assing to a variants following the ACMG guidelines.\n    An AcmgEvidence, should map with one of the criteria defined, i.e, PVS1, BA1, PM1...",
                            "fields" : [ {
                              "name" : "category",
                              "type" : {
                                "type" : "enum",
                                "name" : "AcmgEvidenceCategory",
                                "doc" : "Each ACMG criterion is classified in one of these categories",
                                "symbols" : [ "population_data", "computational_and_predictive_data", "functional_data", "segregation_data", "de_novo_data", "allelic_data", "other_database", "other_data" ]
                              },
                              "doc" : "Evidence category as defined in ACMG guidelines"
                            }, {
                              "name" : "type",
                              "type" : {
                                "type" : "enum",
                                "name" : "AcmgEvidenceType",
                                "doc" : "Each ACMG cirterion will be classifed as bening or pathogenic",
                                "symbols" : [ "bening", "pathogenic" ]
                              },
                              "doc" : "Evidence type: bening or pathogenic"
                            }, {
                              "name" : "weight",
                              "type" : {
                                "type" : "enum",
                                "name" : "AcmgEvidenceWeight",
                                "doc" : "Each ACMG criterion is weighted using the following terms:\n\n* `stand_alone`: `A`, stand-alone applied for benign variant critieria `(BA1)`\n* `supporting`: `P`, supporting applied for benign variant critieria `(BP1-6)` and pathogenic variant criteria `(PP1-5)`\n* `moderate`: `M`, moderate applied for pathogenic variant critieria (PM1-6)\n* `strong`: `S`, strong applied for pathogenic variant critieria (PS1-4)\n* `very_strong`: `S`, Very Stong applied for pathogenic variant critieria (PVS1)",
                                "symbols" : [ "stand_alone", "supporting", "moderate", "strong", "very_strong" ]
                              },
                              "doc" : "Weight categories as described in ACMG guideline"
                            }, {
                              "name" : "modifier",
                              "type" : "int",
                              "doc" : "modifier of the strength, together define each creteria, i.e the 2 in PM2"
                            }, {
                              "name" : "activationStrength",
                              "type" : [ "null", {
                                "type" : "enum",
                                "name" : "ActivationStrength",
                                "doc" : "Activation Strength enumeration:\n* `strong`\n* `moderate`\n* `supporting`",
                                "symbols" : [ "strong", "moderate", "supporting" ]
                              } ],
                              "doc" : "Activation Strength"
                            }, {
                              "name" : "description",
                              "type" : [ "null", "string" ],
                              "doc" : "Description of the evidence"
                            } ]
                          }
                        }
                      }, {
                        "name" : "clinicalSignificance",
                        "type" : "ClinicalSignificance"
                      }, {
                        "name" : "assessment",
                        "type" : [ "null", "string" ]
                      } ]
                    } ]
                  }, {
                    "name" : "ampVariantClassification",
                    "type" : [ "null", {
                      "type" : "record",
                      "name" : "AmpVariantClassification",
                      "doc" : "Full Variant classification acording to AMP guideline, including all supporting evidences and the final\n    assessment",
                      "fields" : [ {
                        "name" : "ampEvidences",
                        "type" : {
                          "type" : "array",
                          "items" : {
                            "type" : "record",
                            "name" : "AmpEvidence",
                            "doc" : "Evidences as defined in AMP guidelines, they are composed by a evidence type (first column in the evidence table of\n    the guidlines) and a assessment of the evicence, this last one will define the streght of the evidence, supporting\n    the variant to be classified as TierI-IV",
                            "fields" : [ {
                              "name" : "type",
                              "type" : {
                                "type" : "enum",
                                "name" : "AmpEvidenceType",
                                "doc" : "Type of evidence in the AMP guideline",
                                "symbols" : [ "mutation_type", "therapies", "variant_frequencies", "potential_germline", "population_database_presence", "germline_database_presence", "somatic_database_presence", "impact_predictive_software", "pathway_involvement", "publications" ]
                              },
                              "doc" : "AMP evidence type according to Guidlines, i.e germline_database_presence"
                            }, {
                              "name" : "evidenceAssessment",
                              "type" : "string",
                              "doc" : "Assessment for AMP evidence, i.e Present in ClinVar"
                            } ]
                          }
                        },
                        "doc" : "List of AMP evidences"
                      }, {
                        "name" : "ampTier",
                        "type" : {
                          "type" : "enum",
                          "name" : "AmpTier",
                          "doc" : "AMP tier:\n* `TierI`: Variants of Strong Clinical Significance\n* `TierII`: Variants of Potential Clinical Significance\n* `TierIII`: Variants of Unknown Clinical Significance\n* `TierIV`: Benign or Likely Benign Variants",
                          "symbols" : [ "tierI", "tierII", "tierIII", "tierIV" ]
                        },
                        "doc" : "Final Clasification taken in account the evidences"
                      }, {
                        "name" : "ampClincialOrExperimentalEvidence",
                        "type" : [ "null", {
                          "type" : "array",
                          "items" : {
                            "type" : "record",
                            "name" : "AmpClincialOrExperimentalEvidence",
                            "doc" : "Amp Clinical or Experimental Evidence, the level will define the overal clasification of the variant together with\n    the tiering.",
                            "fields" : [ {
                              "name" : "category",
                              "type" : {
                                "type" : "enum",
                                "name" : "AmpClinicalOrExperimentalEvidenceCategory",
                                "doc" : "Categories of Clinical and/or Experimental Evidence as defined in AMP guidelines",
                                "symbols" : [ "therapeutic", "diagnosis", "prognosis" ]
                              },
                              "doc" : "As denined in AMP guidelines: therapeutic, diagnosis or prognosis"
                            }, {
                              "name" : "level",
                              "type" : {
                                "type" : "enum",
                                "name" : "AmpClinicalOrExperimentalEvidenceLevel",
                                "doc" : "Levels for categories of Clinical and/or Experimental Evidence as defined in AMP guidelines",
                                "symbols" : [ "levelA", "levelB", "levelC", "levelD" ]
                              },
                              "doc" : "As denined in AMP guidelines: levelA, levelB, levelC, levelD"
                            }, {
                              "name" : "description",
                              "type" : [ "null", "string" ],
                              "doc" : "Description of the evidence"
                            } ]
                          }
                        } ],
                        "doc" : "Clinical or Experimental evicence"
                      }, {
                        "name" : "assessment",
                        "type" : [ "null", "string" ],
                        "doc" : "Final Assessment"
                      } ]
                    } ]
                  } ]
                } ],
                "doc" : "Guidelines based Variant classification"
              }, {
                "name" : "algorithmBasedVariantClassifications",
                "type" : [ "null", {
                  "type" : "array",
                  "items" : {
                    "type" : "record",
                    "name" : "AlgorithmBasedVariantClassification",
                    "fields" : [ {
                      "name" : "algorithmName",
                      "type" : "string",
                      "doc" : "Name of the applied algorithm"
                    }, {
                      "name" : "classification",
                      "type" : "string",
                      "doc" : "classification"
                    }, {
                      "name" : "rank",
                      "type" : [ "null", "int" ],
                      "doc" : "rank"
                    }, {
                      "name" : "score",
                      "type" : [ "null", "int" ],
                      "doc" : "Score"
                    } ]
                  }
                } ],
                "doc" : "Algorithm based variant classifications"
              }, {
                "name" : "tier",
                "type" : [ "null", {
                  "type" : "enum",
                  "name" : "Tier",
                  "doc" : "Variant tiers as defined by Genomics England",
                  "symbols" : [ "NONE", "TIER1", "TIER2", "TIER3", "TIER4", "TIER5", "TIERA", "TIERB" ]
                } ],
                "doc" : "The tier where this variant has been classified. Tier is a property of the model of inheritance and therefore\n        is subject to change depending on the inheritance assumptions"
              }, {
                "name" : "domain",
                "type" : [ "null", {
                  "type" : "enum",
                  "name" : "Domain",
                  "symbols" : [ "DOMAIN1", "DOMAIN2", "DOMAIN3", "DOMAIN4", "NONE" ]
                } ],
                "doc" : "The Domain where this variant has been classified."
              } ]
            }
          },
          "doc" : "The list of report events for this variant across multiple modes of inheritance and panels"
        }, {
          "name" : "variantAttributes",
          "type" : [ "null", {
            "type" : "record",
            "name" : "VariantAttributes",
            "doc" : "Some additional variant attributes",
            "fields" : [ {
              "name" : "genomicChanges",
              "type" : [ "null", {
                "type" : "array",
                "items" : "string"
              } ],
              "doc" : "gDNA change, HGVS nomenclature (e.g.: g.476A>T)"
            }, {
              "name" : "cdnaChanges",
              "type" : [ "null", {
                "type" : "array",
                "items" : "string"
              } ],
              "doc" : "cDNA change, HGVS nomenclature (e.g.: c.76A>T)"
            }, {
              "name" : "proteinChanges",
              "type" : [ "null", {
                "type" : "array",
                "items" : "string"
              } ],
              "doc" : "Protein change, HGVS nomenclature (e.g.: p.Lys76Asn)"
            }, {
              "name" : "additionalTextualVariantAnnotations",
              "type" : [ "null", {
                "type" : "map",
                "values" : "string"
              } ],
              "doc" : "Any additional information in a free text field. For example a quote from a paper"
            }, {
              "name" : "references",
              "type" : [ "null", {
                "type" : "map",
                "values" : "string"
              } ],
              "doc" : "Additional references for ths variant. For example HGMD ID or Pubmed Id"
            }, {
              "name" : "variantIdentifiers",
              "type" : [ "null", {
                "type" : "record",
                "name" : "VariantIdentifiers",
                "fields" : [ {
                  "name" : "dbSnpId",
                  "type" : [ "null", "string" ],
                  "doc" : "Variant identifier in dbSNP"
                }, {
                  "name" : "cosmicIds",
                  "type" : [ "null", {
                    "type" : "array",
                    "items" : "string"
                  } ],
                  "doc" : "Variant identifier in Cosmic"
                }, {
                  "name" : "clinVarIds",
                  "type" : [ "null", {
                    "type" : "array",
                    "items" : "string"
                  } ],
                  "doc" : "Variant identifier in ClinVar"
                }, {
                  "name" : "otherIds",
                  "type" : [ "null", {
                    "type" : "array",
                    "items" : "Identifier"
                  } ]
                } ]
              } ]
            }, {
              "name" : "alleleFrequencies",
              "type" : [ "null", {
                "type" : "array",
                "items" : {
                  "type" : "record",
                  "name" : "AlleleFrequency",
                  "doc" : "The population allele frequency of a given variant in a given study and optionally population",
                  "fields" : [ {
                    "name" : "study",
                    "type" : "string",
                    "doc" : "The study from where this data comes from"
                  }, {
                    "name" : "population",
                    "type" : "string",
                    "doc" : "The specific population where this allele frequency belongs"
                  }, {
                    "name" : "alternateFrequency",
                    "type" : "float",
                    "doc" : "The frequency of the alternate allele"
                  } ]
                }
              } ],
              "doc" : "A list of population allele frequencies"
            }, {
              "name" : "additionalNumericVariantAnnotations",
              "type" : [ "null", {
                "type" : "map",
                "values" : "float"
              } ],
              "doc" : "Additional numeric variant annotations for this variant. For Example (Allele Frequency, sift, polyphen,\n        mutationTaster, CADD. ..)"
            }, {
              "name" : "comments",
              "type" : [ "null", {
                "type" : "array",
                "items" : "string"
              } ],
              "doc" : "Comments"
            }, {
              "name" : "alleleOrigins",
              "type" : [ "null", {
                "type" : "array",
                "items" : "AlleleOrigin"
              } ],
              "doc" : "List of allele origins for this variant in this report"
            }, {
              "name" : "ihp",
              "type" : [ "null", "int" ],
              "doc" : "Largest reference interrupted homopolymer length intersecting with the indel"
            }, {
              "name" : "recurrentlyReported",
              "type" : [ "null", "boolean" ],
              "doc" : "Flag indicating if the variant is recurrently reported"
            }, {
              "name" : "fdp50",
              "type" : [ "null", "float" ],
              "doc" : "Average tier1 number of basecalls filtered from original read depth within 50 bases"
            }, {
              "name" : "others",
              "type" : [ "null", {
                "type" : "map",
                "values" : "string"
              } ],
              "doc" : "Map of other attributes where keys are the attribute names and values are the attributes"
            } ]
          } ]
        } ]
      }
    } ],
    "doc" : "List of small reported variants"
  }, {
    "name" : "structuralVariants",
    "type" : [ "null", {
      "type" : "array",
      "items" : {
        "type" : "record",
        "name" : "StructuralVariant",
        "fields" : [ {
          "name" : "variantType",
          "type" : {
            "type" : "enum",
            "name" : "StructuralVariantType",
            "symbols" : [ "ins", "dup", "inv", "amplification", "deletion", "dup_tandem", "del_me", "ins_me" ]
          },
          "doc" : "Structural Variant Type as would appear in VCF"
        }, {
          "name" : "coordinates",
          "type" : {
            "type" : "record",
            "name" : "Coordinates",
            "fields" : [ {
              "name" : "assembly",
              "type" : "Assembly"
            }, {
              "name" : "chromosome",
              "type" : "string"
            }, {
              "name" : "start",
              "type" : "int"
            }, {
              "name" : "end",
              "type" : "int"
            }, {
              "name" : "ciStart",
              "type" : [ "null", {
                "type" : "record",
                "name" : "ConfidenceInterval",
                "fields" : [ {
                  "name" : "left",
                  "type" : "int"
                }, {
                  "name" : "right",
                  "type" : "int"
                } ]
              } ]
            }, {
              "name" : "ciEnd",
              "type" : [ "null", "ConfidenceInterval" ]
            } ]
          }
        }, {
          "name" : "leftInsSeq",
          "type" : [ "null", "string" ]
        }, {
          "name" : "rightInsSeq",
          "type" : [ "null", "string" ]
        }, {
          "name" : "reportEvents",
          "type" : {
            "type" : "array",
            "items" : "ReportEvent"
          }
        }, {
          "name" : "variantCalls",
          "type" : {
            "type" : "array",
            "items" : "VariantCall"
          },
          "doc" : "array of genotypes for the samples"
        }, {
          "name" : "variantAttributes",
          "type" : [ "null", "VariantAttributes" ]
        } ]
      }
    } ],
    "doc" : "List of simple structural reported variants (duplications, deletions, insertions, inversions, CNVs)"
  }, {
    "name" : "chromosomalRearrangements",
    "type" : [ "null", {
      "type" : "array",
      "items" : {
        "type" : "record",
        "name" : "ChromosomalRearrangement",
        "fields" : [ {
          "name" : "breakPoints",
          "type" : [ "null", {
            "type" : "array",
            "items" : {
              "type" : "record",
              "name" : "BreakPoint",
              "fields" : [ {
                "name" : "coordinates",
                "type" : "Coordinates"
              }, {
                "name" : "reference",
                "type" : [ "null", "string" ]
              }, {
                "name" : "alternate",
                "type" : [ "null", "string" ]
              }, {
                "name" : "info",
                "type" : [ "null", {
                  "type" : "map",
                  "values" : "string"
                } ]
              } ]
            }
          } ]
        }, {
          "name" : "rearrangements",
          "type" : {
            "type" : "array",
            "items" : {
              "type" : "record",
              "name" : "Rearrangement",
              "fields" : [ {
                "name" : "leftCoordinates",
                "type" : "Coordinates"
              }, {
                "name" : "rightCoordinates",
                "type" : "Coordinates"
              }, {
                "name" : "orientation",
                "type" : {
                  "type" : "enum",
                  "name" : "Orientation",
                  "symbols" : [ "start_start", "start_end", "end_end" ]
                }
              }, {
                "name" : "leftInsSeq",
                "type" : [ "null", "string" ]
              }, {
                "name" : "rightInsSeq",
                "type" : [ "null", "string" ]
              } ]
            }
          }
        }, {
          "name" : "reportEvents",
          "type" : {
            "type" : "array",
            "items" : "ReportEvent"
          }
        }, {
          "name" : "variantCalls",
          "type" : {
            "type" : "array",
            "items" : "VariantCall"
          },
          "doc" : "array of genotypes for the samples"
        }, {
          "name" : "variantAttributes",
          "type" : [ "null", "VariantAttributes" ]
        } ]
      }
    } ],
    "doc" : "List of complex structural reported variants (chomosomal rearrangement)"
  }, {
    "name" : "shortTandemRepeats",
    "type" : [ "null", {
      "type" : "array",
      "items" : {
        "type" : "record",
        "name" : "ShortTandemRepeat",
        "fields" : [ {
          "name" : "coordinates",
          "type" : "Coordinates"
        }, {
          "name" : "reportEvents",
          "type" : {
            "type" : "array",
            "items" : "ReportEvent"
          }
        }, {
          "name" : "variantCalls",
          "type" : {
            "type" : "array",
            "items" : "VariantCall"
          },
          "doc" : "array of genotypes for the samples"
        }, {
          "name" : "variantAttributes",
          "type" : [ "null", "VariantAttributes" ]
        }, {
          "name" : "shortTandemRepeatReferenceData",
          "type" : [ "null", {
            "type" : "record",
            "name" : "ShortTandemRepeatReferenceData",
            "fields" : [ {
              "name" : "repeatedSequence",
              "type" : "string"
            }, {
              "name" : "pathogenic_number_of_repeats_threshold",
              "type" : "int"
            }, {
              "name" : "normal_number_of_repeats_threshold",
              "type" : "int"
            } ]
          } ]
        } ]
      }
    } ],
    "doc" : "List of short tandem repeat variants"
  }, {
    "name" : "uniparentalDisomies",
    "type" : [ "null", {
      "type" : "array",
      "items" : {
        "type" : "record",
        "name" : "UniparentalDisomy",
        "fields" : [ {
          "name" : "assembly",
          "type" : "Assembly",
          "doc" : "The assembly"
        }, {
          "name" : "chromosome",
          "type" : "string",
          "doc" : "Chromosome where two homologues were inherited from one parent"
        }, {
          "name" : "complete",
          "type" : [ "null", "boolean" ],
          "doc" : "indicates Whether the UPD event involves an entire chromosome or part of a chromosome"
        }, {
          "name" : "origin",
          "type" : {
            "type" : "enum",
            "name" : "UniparentalDisomyOrigin",
            "symbols" : [ "paternal", "maternal", "unknown" ]
          },
          "doc" : "The parent who contributed two chromosomes was the mother (maternal) or the father (paternal)"
        }, {
          "name" : "uniparentalDisomyFragments",
          "type" : [ "null", {
            "type" : "array",
            "items" : {
              "type" : "record",
              "name" : "UniparentalDisomyFragment",
              "fields" : [ {
                "name" : "coordinates",
                "type" : [ "null", "Coordinates" ],
                "doc" : "Coordinates can be specified to indicate the part of the chromosome affected"
              }, {
                "name" : "uniparentalDisomyType",
                "type" : {
                  "type" : "enum",
                  "name" : "UniparentalDisomyType",
                  "symbols" : [ "isodisomy", "heterodisomy", "both" ]
                },
                "doc" : "indicates whether the UPD event involves `isodisomy`, `heterodisomy` or `both`"
              } ]
            }
          } ],
          "doc" : "List of all of the UPD fragments for this UPD event"
        }, {
          "name" : "participantId",
          "type" : "string",
          "doc" : "Participant affected by this UPD"
        }, {
          "name" : "uniparentalDisomyEvidences",
          "type" : [ "null", {
            "type" : "record",
            "name" : "UniparentalDisomyEvidences",
            "fields" : [ {
              "name" : "ibds",
              "type" : [ "null", {
                "type" : "array",
                "items" : {
                  "type" : "record",
                  "name" : "IdentityByDescent",
                  "fields" : [ {
                    "name" : "relatedSample",
                    "type" : "string"
                  }, {
                    "name" : "ibd0",
                    "type" : "float"
                  }, {
                    "name" : "ibd1",
                    "type" : "float"
                  }, {
                    "name" : "ibd2",
                    "type" : "float"
                  }, {
                    "name" : "pihat",
                    "type" : "float"
                  } ]
                }
              } ]
            } ]
          } ],
          "doc" : "Evidences for the UPD call"
        } ]
      }
    } ],
    "doc" : "List of uniparental disomies across all the individuals in this report"
  }, {
    "name" : "karyotypes",
    "type" : [ "null", {
      "type" : "array",
      "items" : {
        "type" : "record",
        "name" : "Karyotype",
        "fields" : [ {
          "name" : "iscn",
          "type" : [ "null", "string" ],
          "doc" : "International System for Human Cytogenetic Nomenclature (e.g.: \"46,XY\", \"46,XY,-5,-12,+t(5pl2p),+t(5ql2q)\")"
        }, {
          "name" : "description",
          "type" : [ "null", "string" ],
          "doc" : "Full description of the karyotype"
        }, {
          "name" : "aneuploidies",
          "type" : [ "null", {
            "type" : "array",
            "items" : {
              "type" : "record",
              "name" : "Aneuploidy",
              "fields" : [ {
                "name" : "iscn",
                "type" : [ "null", "string" ],
                "doc" : "International System for Human Cytogenetic Nomenclature (.e.g: \"+14p+\", \"+t(13q21 q)\")"
              }, {
                "name" : "assembly",
                "type" : "Assembly",
                "doc" : "The assembly"
              }, {
                "name" : "chromosome",
                "type" : "string",
                "doc" : "Chromosome involved in the aneuploidy"
              }, {
                "name" : "complete",
                "type" : "boolean",
                "doc" : "Wheter the aneuploidy is for the whole chromosme or just a fragment"
              }, {
                "name" : "coordinates",
                "type" : [ "null", "Coordinates" ],
                "doc" : "Coordinates can be specified to indicate the part of the chromosome affected"
              }, {
                "name" : "numberOfCopies",
                "type" : "int",
                "doc" : "Number of copies"
              } ]
            }
          } ],
          "doc" : "List of aneuploidies"
        }, {
          "name" : "numberOfChromosomes",
          "type" : "int",
          "doc" : "Total number of chromosomes"
        }, {
          "name" : "personKaryotipicSex",
          "type" : {
            "type" : "enum",
            "name" : "PersonKaryotipicSex",
            "namespace" : "org.gel.models.participant.avro",
            "doc" : "Karyotipic Sex",
            "symbols" : [ "UNKNOWN", "XX", "XY", "XO", "XXY", "XXX", "XXYY", "XXXY", "XXXX", "XYY", "OTHER" ]
          },
          "doc" : "Kariotypic sex"
        }, {
          "name" : "participantId",
          "type" : "string",
          "doc" : "Participant identifier"
        } ]
      }
    } ],
    "doc" : "List of inferred karyotypes across all the individuals in this report"
  }, {
    "name" : "genomicInterpretation",
    "type" : "string",
    "doc" : "Summary of the interpretation, this should reflect the positive conclusions of this interpretation"
  }, {
    "name" : "additionalAnalysisPanels",
    "type" : [ "null", {
      "type" : "array",
      "items" : {
        "type" : "record",
        "name" : "AdditionalAnalysisPanel",
        "doc" : "A panel of genes and the specific disease that it assesses",
        "fields" : [ {
          "name" : "specificDisease",
          "type" : "string"
        }, {
          "name" : "panel",
          "type" : "GenePanel"
        } ]
      }
    } ],
    "doc" : "The list of panels analysed to generate this report"
  }, {
    "name" : "references",
    "type" : [ "null", {
      "type" : "array",
      "items" : "string"
    } ],
    "doc" : "Supporting evidence (pubmed identifiers)"
  }, {
    "name" : "referenceDatabasesVersions",
    "type" : {
      "type" : "map",
      "values" : "string"
    },
    "doc" : "This map contains the versions of the different databases used in the process, being the database names the\n        keys and the versions the values."
  }, {
    "name" : "softwareVersions",
    "type" : {
      "type" : "map",
      "values" : "string"
    },
    "doc" : "This map contains the versions of the different software systems used in the process, being the software\n        names the keys and the versions the values."
  } ]
}
